Bug 62322 - MySQL support not loading with PHP
Summary: MySQL support not loading with PHP
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: php (Show other bugs)
(Show other bugs)
Version: skipjack-beta1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: David Lawrence
URL: http://rayster.kicks-ass.org/contacts...
Whiteboard:
Keywords:
Depends On:
Blocks: 61590
TreeView+ depends on / blocked
 
Reported: 2002-03-29 17:57 UTC by Ray Parish
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-01 20:56:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ray Parish 2002-03-29 17:57:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
PHP doesn't understand the mysql functions

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Skipjack
2. load up a phpinfo()
3.no mysql support
	

Actual Results:  Here is a list of the php rpms i have installed.

php-4.1.2-3
php-mysql-4.1.2-3
asp2php-0.76.2-1
asp2php-gtk-0.76.2-1
php-ldap-4.1.2-3
php-imap-4.1.2-3
php-devel-4.1.2-3

Expected Results:  mysql functionality

Additional info:

Comment 1 Ray Parish 2002-03-29 18:27:47 UTC
Ok I narrowed it down to the /etc/php.ini not having the extension=mysql.so 
line.
I added that line and restarted the webserver, now it has mysql support.

Comment 2 Phil Copeland 2002-04-15 16:37:36 UTC
Humm
From the spec file...

%post mysql
        if %{__grep} -q "extension=mysql.so" %{_sysconfdir}/php.ini; then
                %{__perl} -pi -e "s|^;extension=mysql.so|extension=mysql.so|" %{
_sysconfdir}/php.ini
        else
                %{__perl} -pi -e
"s|^;extension=php_mysql.dll|;extension=php_mysql
.dll\nextension=mysql.so|" %{_sysconfdir}/php.ini
        fi

I know this works so I can only conclude that your initial php.ini file never
had  an extension entry for mysql in it in the first place. The supplied php.ini
file DOES have it but it's policy NOT to overwrite the existing php.ini. check
php.ini.rpmnew

Closing.

Phil
=--=


Note You need to log in before you can comment on or make changes to this bug.